{% from "macros.html" import error_alert %}
{{ error_alert() }}
<div class="row-fluid">
  <div class="span12">
    <h3 class="comp-title">
      <span class="pull-left">Costing for {{ product.desc }}</span>
      <div class="clearfix"></div>
    </h3>
  </div>
</div>
<div class="row-fluid">
  {%- if product -%}
    <form id="costing-form" action="#" class="form-inline">
      <input type="hidden" name="pcode" value="{{ product.code }}">
      <div class="row-fluid">
        <div class="span12 center">
          <B>{{ product.code }}</B>
          {%- for idx, cdefs in product.component_defs_by_index -%}
            {%- set cdef = cdefs[0] -%}
            {%- if cdef.name == 'End' -%}
              <B>Z</B>
            {%- elif cdef.name == 'Separator' -%}
              <B>-</B>
            {%- else -%}
              {%- set cdef_depends_on_moc = cdefs|any_component_price_depends_on_moc -%}
              {%- if cdef_depends_on_moc -%}
                <B>(</B>
                {%- set moc_fldname = 'moc{0:03d}'.format(idx) -%}
                {%- set fldname = 'code{0:03d}'.format(idx) -%}
                <input class="span1" type="text" name="{{ fldname }}" placeholder="{{ idx }}">
                <input class="span1" type="text" name="{{ moc_fldname }}" placeholder="MOC {{ idx }}">
                <B>)</B>
              {%- else -%}
                {%- set fldname = 'code{0:03d}'.format(idx) -%}
                <input class="span1" type="text" name="{{ fldname }}" placeholder="{{ idx }}">
              {%- endif -%}
              {%- if cdef.is_center_to_center_distance -%}
                <input type="hidden" name="c2cd_field" value="{{ fldname }}">
              {%- endif -%}
            {%- endif -%}
          {%- endfor -%}
        </div>
        <div class="span12">&nbsp;</div>
        <div class="span12 center">
          <button type="submit" class="btn" id="costingBtn" data-loading-text="Calculating...">
            <i class="icon-cogs"></i>&nbsp;<span class="hidden-phone">Calculate</span></button>
        </div>
      </div>
    </form>
  {%- endif -%}
</div>
{%- for cd in product.component_defs -%}
  {%- if cd.component_def.name not in ('End', 'Separator') -%}
    <div class="row-fluid">
      <div class="span12" style="margin-top:5px; margin-bottom: -10px;"><span class="label">({{ cd.component_index }})&nbsp;&nbsp;{{ cd.component_def.name }}</span></div>
      {%- for c in cd.component_def.components -%}
        <div class="row-fluid span7" style="font-size: 12px; margin-bottom: -10px;">
          <div class="span2">{{ c.code }}</div>
          <div class="span5">{{ c.desc }}</div>
          {%- if c.moc -%}
            <div class="span3">{{ c.moc }}</div>
          {%- else -%}
            <div class="span3">&nbsp;&nbsp;&nbsp;&nbsp;</div>
          {%- endif-%}
          <div class="span2">{{ c.base_price }}</div>
        </div>
      {%- endfor-%}
    </div>
  {%- endif -%}
{%- endfor -%}
<script type="text/javascript">
  setupCostingStep2CalculateButton();
</script>